.. _vim.event.GeneralEvent: ../../vim/event/GeneralEvent.rst

.. _vim.event.ManagedEntityEventArgument: ../../vim/event/ManagedEntityEventArgument.rst


vim.event.GeneralUserEvent
==========================
  This event is the general user event type.
:extends: vim.event.GeneralEvent_

Attributes:
    entity (`vim.event.ManagedEntityEventArgument`_, optional):

       The entity on which the event was logged.
